Cantata
=======

![ScreenShot](screenshots/mainwindow.png)


A graphical (Qt5) client for MPD, supporting the following features:

  1. Supports Linux, macOS, and Windows.
  2. Multiple MPD collections.
  3. Highly customisable layout.
  4. Songs (optionally) grouped by album in play queue.
  5. Context view to show artist, album, and song information of current track.
  6. Simple tag editor.
  7. File organizer - use tags to organize files and folders.
  8. Ability to calculate ReplyGain tags. (Linux only, and if relevant libraries installed)
  9. Dynamic playlists.
 10. Smart Playlists.
 11. Online services; Jamendo, Magnatune, SoundCloud, and Podcasts.
 12. Radio stream support - with the ability to search for streams via TuneIn, ShoutCast, or Dirble.
 13. USB-Mass-Storage and MTP device support. (Linux only, and if relevant libraries installed)
 14. Audio CD ripping and playback. (Linux only, and if relevant libraries installed)
 15. Playback of non-MPD songs - via simple in-built HTTP server.
 16. MPRISv2 DBUS interface.
 17. Scrobbling.
 18. Ratings support.

Cantata started off as a fork of QtMPC, however, the code (and user interface) is now *very* different to that of QtMPC.
For more detailed information, please refer to the main [README](https://raw.githubusercontent.com/CDrummond/cantata/master/README)


---

[![Say Thanks!](https://img.shields.io/badge/Say%20Thanks-!-1EAEDB.svg)](https://saythanks.io/to/craigd)
